var controllerConfig = {

    //"dependency": {
    //    "css": [],
    //    "js": []
    //},

    ///* 添加、修改、查看、删除 等权限,可不指定。 默认值均为true  */
    "permit": {
        "insert": false,
        "update": false,
        "show": false,
        "delete": false
    },

    "idField": "id",
    "pidField": "pid",
    "treeField": 'name',
    "rootPidValue": "0",

    "listConfig": {
        "title": "autoTemp-demo",
        "defaultSort": [{ "field": "id", "asc": false }],
        "listButtons": [
            {
                "title": "执行js",
                "jsHandler": "(sender)=>{ sender.progressStart(sender.title); setTimeout(sender.progressStop,5000); }" // sender: { ...button,  progressStart,progressStop }
            },
            {
                "title": "调用接口",
                "ajax": {
                    "type": "GET",
                    "url": "/autoTemp/demo_list/getConfig"
                }
            }
        ],
        "rowButtons": [
            {
                "title": "查看id",
                "jsHandler": "(sender,id,row)=>{ sender.progressStart(sender.title); setTimeout(sender.progressStop,5000); }" // sender: { ...button,  progressStart,progressStop }
            },
            {
                "title": "调用接口",
                "ajax": {
                    "type": "GET",
                    "url": "/autoTemp/{template}/getConfig?name={id}"
                }
            }
        ]
    },


    "fields": [
        {
            "field": "name",   // db field
            "title": "User Name",  // [optional] defaultValue is column.field

            "visible": false,
            "editable": false,

            "list_config": { 
                "title": "<span title=\"装修商名称\">装修商</span>", // [optional] defaultValue is field.title
                "width": 200,
                "visible": true,
            },

            "useDefaultFilter": true,// [optional] default true, will use default filter if filters is empty
            "filters": [
                {
                    "title": "User Name", // [optional]
                    "operators": ['=', '!=', 'in', 'notIn', 'contains', 'notContains', '>', '>=', '<', '<=', 'isNull', 'isNotNull'], // [optional]
                    "ig_attr": null,// [optional]
                }
            ],

            "ig_attr": { // default:  {ig_id:field, ig_class:'Text'}
                "ig_class": "TextArea",  // Text TextArea
                "ig_param": { "width": 300 }
            },

        }
    ]

};