﻿using System.Collections.Generic;

namespace Vit.AutoTemp
{
    public partial class AutoTempControllerConfig
    {
        public class FieldConfig
        {
            public string field;
            public string title;

            public bool? visible;
            public bool? editable;

            public ListConfig list_config;


            public bool? useDefaultFilter;
            public List<Filter> filters;
            public IgAttr ig_attr;


            public class Filter
            {
                public string title;
                public List<string> operators;
                public IgAttr ig_attr;
            }

            public class ListConfig
            {
                public string title;
                public int? width;
                public bool? visible;
            }

            public class IgAttr
            {
                public string ig_class;
                public Dictionary<string, object> ig_param;
            }
        }
    }
}
